podman-machine(1)

NAME

podman-machine - Manage Podman's virtual machine

SYNOPSIS

podman machine subcommand

DESCRIPTION

podman machine is a set of subcommands that manage Podman's virtual machine.

Podman on MacOS and Windows requires a virtual machine. This is because containers are Linux - containers do not run on any other OS because containers' core functionality are tied to the Linux kernel. Podman machine must be used to manage MacOS and Windows machines, but can be optionally used on Linux.

All podman machine commands are rootless only.

NOTE: The podman-machine configuration file is managed under the $XDG_CONFIG_HOME/containers/podman/machine/ directory. Changing the $XDG_CONFIG_HOME environment variable while the machines are running can lead to unexpected behavior.

SUBCOMMANDS
Command | Man Page | Description
info | podman-machine-info(1) | Display machine host info
init | podman-machine-init(1) | Initialize a new virtual machine
inspect | podman-machine-inspect(1) | Inspect one or more virtual machines
list | podman-machine-list(1) | List virtual machines
os | podman-machine-os(1) | Manage a Podman virtual machine's OS
rm | podman-machine-rm(1) | Remove a virtual machine
set | podman-machine-set(1) | Set a virtual machine setting
ssh | podman-machine-ssh(1) | SSH into a virtual machine
start | podman-machine-start(1) | Start a virtual machine
stop | podman-machine-stop(1) | Stop a virtual machine

SEE ALSO

podman(1), podman-machine-info(1), podman-machine-init(1), podman-machine-list(1), podman-machine-os(1), podman-machine-rm(1), podman-machine-ssh(1), podman-machine-start(1), podman-machine-stop(1), podman-machine-inspect(1)

HISTORY

March 2021, Originally compiled by Ashley Cui acui@redhat.com ⟨mailto:acui@redhat.com⟩